## unity 7.2.5+14.04.20150521.1-0ubuntu2-linuxmuster-systray1

=== CMakeLists.txt ===
project (unity)
cmake_minimum_required(VERSION 2.8.9)

include (cmake/Documentation.cmake)
include (cmake/pch.cmake)

#
# Base bits
#
set (PROJECT_NAME "unity")
set (UNITY_MAJOR 7)
set (UNITY_MINOR 2)
set (UNITY_MICRO 5)
set (UNITY_VERSION "${UNITY_MAJOR}.${UNITY_MINOR}.${UNITY_MICRO}")
set (UNITY_API_VERSION "6.0")
set (UNITY_COMPONENTS_VERSION "6")

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGNOME_DESKTOP_USE_UNSTABLE_API -std=c++0x -fno-permissive")
set (CMAKE_CXX_FLAGS_DEBUG "-g3")
set (CMAKE_CXX_FLAGS_RELEASE "")

option(
  ENABLE_X_SUPPORT
  "Enable X.org support in unity"
  ON
)

# This is due to bug lp:668799 - qemu-arm segfaults executing msgmerge
option(
  I18N_SUPPORT
  "Enable I18N, do the .po file thing."
  ON
)

if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "armv7l" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "aarch64")
  set (PIC_FLAGS "-fPIC")
endif()

if (ENABLE_X_SUPPORT)
  add_definitions(-DUSE_X11)
  message("Unity is configured with support for X.org")
else ()
  message("Unity is configured with without X.org")
  add_definitions(-DNO_X11)
endif ()

if (BUILD_GLES)
  add_definitions(-DNUX_OPENGLES_20)
  add_definitions(-DUSE_GLES)
  set (UNITY_STANDALONE_LADD "unity-core-${UNITY_API_VERSION};m;pthread;dl")
else ()
  set (UNITY_STANDALONE_LADD "unity-core-${UNITY_API_VERSION};m;pthread;dl;GL;GLU")
endif ()

if (CMAKE_BUILD_TYPE MATCHES coverage)
  set (COVERAGE_XML_FILE "${CMAKE_BINARY_DIR}/coverage.xml")
# FIXME: Read below
#  set (COVERAGE_INFO_FILE "${CMAKE_BINARY_DIR}/coverage-html.info")
#  set (COVERAGE_HTML_DIR "${CMAKE_BINARY_DIR}/coverage-html")

  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
  set (CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
  set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )

  find_program(GCOVR_EXECUTABLE gcovr HINTS ${GCOVR_ROOT} "${GCOVR_ROOT}/bin")
  if (NOT GCOVR_EXECUTABLE)
      message(FATAL_ERROR "Cannot enable coverage targets because gcovr was not found.")
  else ()
      message (STATUS "Enabling XML coverage report")
      add_custom_target (coverage-xml 
          COMMAND  "${GCOVR_EXECUTABLE}" --exclude="tests.*" --exclude="obj-.*" -x -r "${CMAKE_SOURCE_DIR}" -o "${COVERAGE_XML_FILE}")
  endif()

# FIXME: This got commented out, as it forces a strict dependency on lcov
#  find_program(LCOV_EXECUTABLE lcov HINTS ${LCOV_ROOT} "${LCOV_ROOT}/bin")
#  find_program(GENHTML_EXECUTABLE genhtml HINTS ${GENHTML_ROOT} "${GENHTML_ROOT}/bin")
#  if (NOT LCOV_EXECUTABLE)
#      message(FATAL_ERROR "Cannot enable coverage targets because gcovr was not found.")
#  elseif (NOT GENHTML_EXECUTABLE)
#      message(FATAL_ERROR "Cannot enable coverage targets because genhtml was not found.")
#  else ()
#      message (STATUS "Enabling HTML coverage report")
#      add_custom_target (coverage-html 
#          COMMAND "${LCOV_EXECUTABLE}" --directory "${CMAKE_BINARY_DIR}" --capture --output-file "${COVERAGE_INFO_FILE}"
#          COMMAND "${GENHTML_EXECUTABLE}" --output-directory "${COVERAGE_HTML_DIR}" "${COVERAGE_INFO_FILE}")
#  endif()

endif (CMAKE_BUILD_TYPE MATCHES coverage)


#
# Niceties
#
set (ARCHIVE_NAME unity-${UNITY_VERSION})

add_custom_target (pre-distcheck
  COMMAND echo ""
       && echo "• Releasing Unity ${UNITY_VERSION}"
       && cd ${CMAKE_SOURCE_DIR}
       && echo "• Generating ChangeLog"
       && bzr log --gnu-changelog > ChangeLog
       && echo "• Generating AUTHORS"
       && bzr log --long --levels=0 | grep -e "^\\s*author:" -e "^\\s*committer:" | cut -d ":" -f 2 | sed -r -f AUTHOR-glue | sort -u > AUTHORS
       && echo "• Running Distcheck"
  )

add_custom_target (dist
  COMMAND echo "• Creating Tarball"
       && bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
       && echo "• Signing Tarball"
       && gpg --armor --sign --detach-sig ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
add_dependencies(dist pre-distcheck)

add_custom_target (distcheck
  COMMAND cd ${CMAKE_BINARY_DIR}
       && rm -rf ${ARCHIVE_NAME}
       && tar xf ${ARCHIVE_NAME}.tar.bz2
       && mkdir ${ARCHIVE_NAME}/build
       && cd ${ARCHIVE_NAME}/build
       && cmake -DCMAKE_INSTALL_PREFIX=../install -DGSETTINGS_LOCALINSTALL=ON .. -DCMAKE_MODULE_PATH=/usr/share/cmake
       && make -j4
       && make -j4 install
       && make check-headless
  )
add_dependencies(distcheck dist)

add_custom_target (post-distcheck
  COMMAND echo "• Committing Release"
       && bzr commit -m\"Release ${UNITY_VERSION}\" --unchanged
       && echo "• Tagging Release"
       && bzr tag ${UNITY_VERSION}
       && echo "• Unity ${UNITY_VERSION} is ready for release."
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
add_dependencies(post-distcheck distcheck)

add_custom_target (release)
add_dependencies (release distcheck)

#
# config.h
#
set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (PKGDATADIR "${DATADIR}/unity/icons")
set (SOURCEDATADIR "${CMAKE_CURRENT_SOURCE_DIR}/resources")
set (GETTEXT_PACKAGE "unity")
set (LOCALE_DIR "${DATADIR}/locale")
set (VERSION "${UNITY_VERSION}")
set (BUILDDIR "${CMAKE_BINARY_DIR}")
set (TESTDATADIR "${CMAKE_CURRENT_SOURCE_DIR}/tests/data")

find_package (PkgConfig)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gtk+-3.0 --variable prefix OUTPUT_VARIABLE GTK_PREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} unity --variable lensesdir OUTPUT_VARIABLE LENSES_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable indicatordir OUTPUT_VARIABLE INDICATORDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable iconsdir OUTPUT_VARIABLE INDICATORICONDIR OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} indicator3-0.4 --variable prefix OUTPUT_VARIABLE INDICATORPREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
set (INDICATOR_SERVICE_DIR "${INDICATORPREFIX}/share/unity/indicators")

configure_file (${CMAKE_SOURCE_DIR}/config.h.cmake ${CMAKE_BINARY_DIR}/config.h)

#
# i18n
#

find_package (Gettext REQUIRED)

set (COMPIZ_I18N_DIR ${CMAKE_SOURCE_DIR}/po)

add_custom_command (OUTPUT ${CMAKE_SOURCE_DIR}/po/unity.pot
		COMMAND xgettext -c --from-code=UTF-8 --files-from ${CMAKE_SOURCE_DIR}/po/POTFILES.in --keyword=_ -o ${CMAKE_SOURCE_DIR}/po/unity.pot --copyright-holder="Canonical Ltd" --msgid-bugs-address="ayatana-dev@lists.launchpad.net" --no-wrap --no-location
		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
		)

if (I18N_SUPPORT)
if (GETTEXT_FOUND)
        set (HAVE_GETTEXT true)
        file (GLOB _translations ${CMAKE_SOURCE_DIR}/po/*.po)
        GETTEXT_CREATE_TRANSLATIONS (${CMAKE_SOURCE_DIR}/po/${PROJECT_NAME}.pot
                ALL ${_translations})
endif (GETTEXT_FOUND)
endif()

#
# Enable or disable boot logging
# 
option (BOOT_LOGGER "Enable startup performance logging" OFF)
if (BOOT_LOGGER)
    SET (BOOT_LOGGER_FLAG "-DENABLE_LOGGER")
endif (BOOT_LOGGER)

SET (MAINTAINER_CXXFLAGS "-Werror -Wall -Wcast-align -Wempty-body -Wformat-security -Winit-self -Warray-bounds")

option (DISABLE_ERROR_ON_LOCAL_TYPEDEFS_WARNINGS "Disable errors when local typedefs are unused" ON)
if (DISABLE_ERROR_ON_LOCAL_TYPEDEFS_WARNINGS)
  SET (MAINTAINER_CXXFLAGS "${MAINTAINER_CXXFLAGS} -Wno-error=unused-local-typedefs")
endif (DISABLE_ERROR_ON_LOCAL_TYPEDEFS_WARNINGS)

option (DISABLE_MAINTAINER_CXXFLAGS "Disable maintainer CXXFlags" OFF)
if (DISABLE_MAINTAINER_CXXFLAGS)
  SET (MAINTAINER_CXXFLAGS "")
endif (DISABLE_MAINTAINER_CXXFLAGS)

# Make sure these flags are used for every build.
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${MAINTAINER_CXXFLAGS}")

#
# Compiz Plugins
#
set(UNITY_PROTOCOL_PRIVATE_DEPS unity-protocol-private>=7.1.0)
set(UNITY_PLUGIN_SHARED_DEPS
    ${UNITY_PROTOCOL_PRIVATE_DEPS}
    atk
    atk-bridge-2.0
    cairo>=1.13.1
    dbusmenu-glib-0.4
    dee-1.0
    gio-2.0>=2.30.0
    gio-unix-2.0
    gmodule-2.0
    gthread-2.0
    gtk+-3.0>=3.1
    indicator3-0.4>=0.4.90
    json-glib-1.0
    libbamf3>=0.5.0
    gnome-desktop-3.0
    libnotify
    libstartup-notification-1.0
    nux-4.0>=4.0.5
    sigc++-2.0
    unity-misc>=0.4.0
    xpathselect=1.4
    zeitgeist-2.0
)

set(UNITY_PLUGIN_DEPS ${UNITY_PLUGIN_SHARED_DEPS})

if(ENABLE_X_SUPPORT)
  set(UNITY_PLUGIN_DEPS
      ${UNITY_PLUGIN_DEPS}
      compiz>=0.9.9
      libgeis
      x11
      xfixes
      xi>=1.6.99.1
      xrender>=0.9
  )
endif ()

pkg_check_modules (CACHED_UNITY_DEPS REQUIRED ${UNITY_PLUGIN_DEPS})
pkg_check_modules (CACHED_UNITY_PRIVATE_DEPS REQUIRED ${UNITY_PROTOCOL_PRIVATE_DEPS})
find_library (UNITY_PROTOCOL_PRIVATE_LIB unity-protocol-private ${CACHED_UNITY_PRIVATE_DEPS_LIBDIR} ${CACHED_UNITY_PRIVATE_DEPS_LIBRARY_DIRS})
set(UNITY_STANDALONE_LADD ${UNITY_STANDALONE_LADD} ${UNITY_PROTOCOL_PRIVATE_LIB})

add_subdirectory(unity-shared)
add_subdirectory(dash)
add_subdirectory(launcher)
add_subdirectory(data)
if (ENABLE_X_SUPPORT)
  add_subdirectory(hud)
  add_subdirectory(lockscreen)
  add_subdirectory(panel)
  add_subdirectory(decorations)
  add_subdirectory(plugins/unityshell)
  add_subdirectory(plugins/networkarearegion)
  add_subdirectory(plugins/unitydialog)
  add_subdirectory(plugins/unity-mt-grab-handles)
  add_subdirectory(shortcuts)
  add_subdirectory(shutdown)
  add_subdirectory(unity-standalone)
endif ()

# subdirs
add_subdirectory(doc)

# Check for google test and build it locally
set (
  GMOCK_ROOT_DIR
  "/usr/src/gmock"
  CACHE
  PATH
  "Path to Google mock srcs"
)

set (
  GMOCK_INCLUDE_DIR
  "/usr/include/gmock/include"
  CACHE
  PATH
  "Path to Google mock include"
)

set(
  GTEST_ROOT_DIR
  "${GMOCK_ROOT_DIR}/gtest" # Default value, adjustable by user with e.g., ccmake
  CACHE
  PATH
  "Path to Google test srcs"
)

set(
  GTEST_INCLUDE_DIR
  "${GMOCK_ROOT_DIR}/gtest/include"
  CACHE
  PATH
  "Path to Google tests include"
)

if (GTEST_INCLUDE_DIR AND GMOCK_INCLUDE_DIR)
  include_directories (
    ${GMOCK_INCLUDE_DIR}
    ${GTEST_INCLUDE_DIR}
  )
  add_subdirectory(
    ${GMOCK_ROOT_DIR}
    "${CMAKE_CURRENT_BINARY_DIR}/gmock"
  )
elseif (GTEST_INCLUDE_DIR AND NOT GMOCK_INCLUDE_DIR)
  include_directories (
    ${GTEST_INCLUDE_DIR}
  )
endif(GTEST_INCLUDE_DIR AND GMOCK_INCLUDE_DIR)

add_subdirectory(services)
add_subdirectory(tests)
add_subdirectory(tools)
add_subdirectory(UnityCore)
add_subdirectory(guides)

add_subdirectory(gnome)

#
# GSettings Schema
#
SET (UNITY_SCHEMAS "com.canonical.Unity.gschema.xml")
SET (UNITY_TEST_SCHEMAS "external.gschema.xml")

# Have an option to not install the schema into where GLib is
option (GSETTINGS_LOCALINSTALL "Install GSettings Schemas locally instead of to the GLib prefix" OFF)
if (GSETTINGS_LOCALINSTALL)
    SET (GSETTINGS_DIR "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas/")
else (GSETTINGS_LOCALINSTALL)
    execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} glib-2.0 --variable prefix  OUTPUT_VARIABLE _glib_prefix OUTPUT_STRIP_TRAILING_WHITESPACE)
    SET (GSETTINGS_DIR "${_glib_prefix}/share/glib-2.0/schemas/")
endif (GSETTINGS_LOCALINSTALL)

# Run the validator and error if it fails
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas  OUTPUT_VARIABLE _glib_comple_schemas OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND ${_glib_comple_schemas} --dry-run --schema-file=${CMAKE_CURRENT_SOURCE_DIR}/${UNITY_SCHEMAS} ERROR_VARIABLE _schemas_invalid OUTPUT_STRIP_TRAILING_WHITESPACE)

if (_schemas_invalid)
  message (SEND_ERROR "Schema validation error: ${_schemas_invalid}")
endif (_schemas_invalid)

# Actually install and recomple schemas
message (STATUS "GSettings schemas will be installed into ${GSETTINGS_DIR}")
install (FILES ${UNITY_SCHEMAS} DESTINATION ${GSETTINGS_DIR} OPTIONAL)

=== lockscreen/CMakeLists.txt ===
set(UNITY_SRC ../plugins/unityshell/src)

set (CFLAGS
     ${CACHED_UNITY_DEPS_CFLAGS}
     ${CACHED_UNITY_DEPS_CFLAGS_OTHER}
     ${PIC_FLAGS}
     )

string (REPLACE ";" " " CFLAGS "${CFLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CFLAGS}")

set (LIBS ${CACHED_UNITY_DEPS_LDFLAGS} ${UNITY_STANDALONE_LADD})

include_directories (.. ../services ../UnityCore ${UNITY_SRC} ${CMAKE_BINARY_DIR})

#
# Headers & Sources
#
set (LOCKSCREEN_SOURCES
     BackgroundSettings.cpp
     CofView.cpp
     LockScreenController.cpp
     LockScreenSettings.cpp
     LockScreenShield.cpp
     LockScreenShieldFactory.cpp
     LockScreenPanel.cpp
     LockScreenAcceleratorController.cpp
     LockScreenAccelerators.cpp
     ScreenSaverDBusManager.cpp
     ShutdownNotifier.cpp
     SuspendNotifier.cpp
     UserAuthenticatorPam.cpp
     UserPromptView.cpp
     )

add_library (lockscreen-lib STATIC ${LOCKSCREEN_SOURCES})
add_dependencies (lockscreen-lib unity-core-${UNITY_API_VERSION} unity-shared pam)
add_pch(pch/lockscreen_pch.hh lockscreen-lib)

=== tests/CMakeLists.txt ===
set(UNITY_SRC ../plugins/unityshell/src)

#
# Data
#
file (COPY ${CMAKE_CURRENT_SOURCE_DIR}/data DESTINATION ${CMAKE_BINARY_DIR}/tests)

#
# Unit tests
#
set (TEST_DEPS "${UNITY_PLUGIN_DEPS};unity>=4.99.0;libupstart;")
pkg_check_modules (TEST_UNIT_DEPS REQUIRED ${TEST_DEPS})

string (REPLACE ";" " " TEST_UNIT_DEPS_CFLAGS_OTHER "${TEST_UNIT_CFLAGS_OTHER}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TEST_UNIT_DEPS_CFLAGS_OTHER}")
include_directories(${TEST_UNIT_DEPS_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set (LIBS ${TEST_UNIT_DEPS_LDFLAGS} "unity-core-${UNITY_API_VERSION};compiz_core;m")

link_directories(${TEST_UNIT_DEPS_LIBRARY_DIRS} ${COMPIZ_LIBDIR})

include_directories (. .. ../services ../UnityCore ${UNITY_SRC} ${CMAKE_BINARY_DIR})
include_directories (${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src)
include_directories (${CMAKE_SOURCE_DIR}/dash)
include_directories (${CMAKE_SOURCE_DIR}/decorations)
include_directories (${CMAKE_SOURCE_DIR}/launcher)
include_directories (${CMAKE_SOURCE_DIR}/panel)
include_directories (${CMAKE_SOURCE_DIR}/hud)
include_directories (${CMAKE_SOURCE_DIR}/shortcuts)
include_directories (${CMAKE_SOURCE_DIR}/shutdown)
include_directories (${CMAKE_SOURCE_DIR}/unity-shared)
# We can't have convenience libs so we need to rebuild with what we need
# Please keep actual test files alphabetically at top and then files
# from ../${UNITY_SRC} or ../../services in alphabetically after that

add_subdirectory (test-input-remover)
add_subdirectory (test-minimize-window-handler)
add_subdirectory (test-get-transients)


#
# GTest tests
#

enable_testing()
set(GMOCK_LIB gmock)
set(GMOCK_MAIN_LIB gmock_main)

if (GMOCK_LIB AND
    GMOCK_MAIN_LIB)

  # MockWindowManager
  add_library (unity_mock_window_manager STATIC
               MockWindowManager.cpp)
  target_link_libraries (unity_mock_window_manager
                         ${GMOCK_LIB}
                         ${GMOCK_MAIN_LIB})

# The service that provides DBus services to test against
  add_executable(test-gtest-service
                 test_service_gdbus_wrapper.cpp
                 test_service_hud.cpp
                 test_service_main.cpp
                 test_service_model.cpp
                 test_service_panel.cpp
                 test_service_scope.cpp)

  # Build plain C files separately so they don't try to include the
  # C++ pch.
  add_library(test-gtest-service-plainc STATIC
              test_scope_impl.c)

  target_link_libraries(test-gtest-service
                        test-gtest-service-plainc
                        unity-shared
                        ${LIBS})

# gtest-slow, start moving things over that are slow running tests
  set (GTEST_SLOW_SOURCES
       test_main.cpp
       logger_helper.cpp
       test_switcher_controller_slow.cpp
       test_switcher_controller_class.cpp
       test_tooltip_manager.cpp
      )

  set (GTEST_SLOW_LIBS
       gtest
       gmock
       launcher-lib
       switcher-lib
       unity-shared
       unity-shared-standalone
      )

  add_executable(test-gtest-slow ${GTEST_SLOW_SOURCES})
  target_link_libraries(test-gtest-slow ${GTEST_SLOW_LIBS})
  add_test(UnityGTestSlow test-gtest-slow)

# The actual test executable (xless) - do not put anything that requires X in here
  set (GTEST_XLESS_SOURCES
       test_main_xless.cpp
       mock-application.cpp
       test_action_handle.cpp
       test_abstract_interface_generator.cpp
       test_animation_utils.cpp
       test_connection_manager.cpp
       test_delta_tracker.cpp
       test_em_converter.cpp
       test_glib_dbus_object.cpp
       test_glib_cancellable.cpp
       test_glib_object.cpp
       test_glib_object_utils.cpp
       test_glib_object_utils.h
       test_glib_signals.cpp
       test_glib_signals_utils.cpp
       test_glib_signals_utils.h
       test_glib_source.cpp
       test_glib_variant.cpp
       test_grabhandle.cpp
       test_gsettings_scopes.cpp
       test_desktop_utilities.cpp
       test_desktop_application_subject.cpp
       test_indicator.cpp
       test_indicator_appmenu.cpp
       test_indicator_entry.cpp
       test_indicators.cpp
       test_introspection_data.cpp
       test_favorite_store.cpp
       test_favorite_store_gsettings.cpp
       test_favorite_store_private.cpp
       test_launcher_entry_remote.cpp
       test_launcher_options.cpp
       test_layout_system.cpp
       test_model_iterator.cpp
       test_previews.cpp
       test_raw_pixel.cpp
       test_scope_data.cpp
       test_time_util.cpp
       test_ubus.cpp
       test_unityshell_private.cpp
       test_volume_imp.cpp
       ${UNITY_SRC}/UnityshellPrivate.cpp
       ${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src/unity-mt-grab-handle.cpp
       ${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src/unity-mt-grab-handle-group.cpp
       ${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src/unity-mt-grab-handle-impl-factory.cpp
       ${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src/unity-mt-grab-handle-layout.cpp
       ${CMAKE_SOURCE_DIR}/plugins/unity-mt-grab-handles/src/unity-mt-texture.cpp
  )

  set (GTEST_XLESS_LIBS
      gtest
      test-libs-c
      unity-shared
      unity-shared-standalone
      launcher-lib
      switcher-lib
      ${GMOCK_LIB}
      ${GMOCK_MAIN_LIB}
      ${LIBS}
  )

  if (ENABLE_X_SUPPORT)
    set (GTEST_XLESS_SOURCES
      ${GTEST_XLESS_SOURCES}
      test_hud_private.cpp
      test_pointer_barrier.cpp
      test_shortcut_model.cpp
      test_shortcut_private.cpp
      ${LAUNCHER_SOURCES}
      )
    set (GTEST_XLESS_LIBS
      ${GTEST_XLESS_LIBS}
      shortcuts-lib
      hud-lib
    )
  endif ()

  add_executable(test-gtest-xless ${GTEST_XLESS_SOURCES})
  target_link_libraries(test-gtest-xless ${GTEST_XLESS_LIBS})
  add_test(UnityGTestXless test-gtest-xless)

# tests that require dbus, must not require X
  add_executable(test-gtest-dbus
                 test_categories.cpp
                 test_dbus_indicators.cpp
                 test_filter.cpp
                 test_glib_dbus_proxy.cpp
                 test_hud.cpp
                 test_main_dbus.cpp
                 test_model.cpp
                 test_utils.h
                 test_ratings_filter.cpp
                 test_results.cpp
                 test_scope.cpp
                 test_scope_filter.cpp
                 test_scope_proxy.cpp
                 test_tracks.cpp
                )
  target_link_libraries(test-gtest-dbus gtest unity-shared ${LIBS})
  add_test(UnityGTestDBus test-gtest-dbus)
  add_dependencies(test-gtest-dbus unity-core-${UNITY_API_VERSION} unity-shared test-gtest-service gtest)

if (ENABLE_X_SUPPORT)
# Tests that require X
  add_executable(test-gtest
                 mock-application.cpp
                 mock_results.cpp
                 logger_helper.cpp
                 test_main.cpp
                 test_action_link.cpp
                 test_application_launcher_icon.cpp
                 test_bamf_application.cpp
                 test_bfb_launcher_icon.cpp
                 test_decorations_input_mixer.cpp
                 test_decorations_widgets.cpp
                 test_dashview.cpp
                 test_dashview_impl.cpp
                 test_dash_controller.cpp
                 test_desktop_launcher_icon.cpp
                 test_device_launcher_section.cpp
                 test_error_preview.cpp
                 test_edge_barrier_controller.cpp
                 test_expo_launcher_icon.cpp
                 test_filter_widgets.cpp
                 test_glib_dbus_server.cpp
                 test_gnome_session_manager.cpp
                 test_gtk_wrapper.cpp
                 test_hud_button.cpp
                 test_hud_controller.cpp
                 test_hud_launcher_icon.cpp
                 test_hud_view.cpp
                 test_icon_loader.cpp
                 test_im_text_entry.cpp
                 test_keyboard_util.cpp
                 test_launcher.cpp
                 test_launcher_controller.cpp
                 test_launcher_drag_window.cpp
                 test_launcher_hide_machine.cpp
                 test_launcher_hover_machine.cpp
                 test_launcher_icon.cpp
                 test_launcher_minimize_speed.cpp
                 test_launcher_model.cpp
                 test_launcher_tooltip.cpp
                 test_lockscreen_controller.cpp
                 test_panel_controller.cpp
                 test_panel_indicators_view.cpp
                 test_panel_indicator_entry_dropdown_view.cpp
                 test_panel_menu_view.cpp
                 test_panel_service.cpp
                 test_panel_style.cpp
                 test_panel_view.cpp
                 test_places_group.cpp
                 test_preview_player.cpp
                 test_previews_application.cpp
                 test_previews_generic.cpp
                 test_previews_movie.cpp
                 test_previews_music.cpp
                 test_previews_music_payment.cpp
                 test_previews_payment.cpp
                 test_previews_social.cpp
                 test_overlay_scrollbar.cpp
                 test_quicklist_manager.cpp
                 test_quicklist_menu_item.cpp
                 test_quicklist_view.cpp
                 test_result_renderer.cpp
                 test_resultviewgrid.cpp
                 test_scope_bar.cpp
                 test_scope_view.cpp
                 test_searchbar.cpp
                 test_session_button.cpp
                 test_session_controller.cpp
                 test_session_view.cpp
                 test_shortcut_controller.cpp
                 test_shortcut_modeller_compiz.cpp
                 test_shortcut_view.cpp
                 test_single_monitor_launcher_icon.cpp
                 test_showdesktop_handler.cpp
                 test_software_center_launcher_icon.cpp
                 test_spread_filter.cpp
                 test_static_cairo_text.cpp
                 test_switcher_controller.cpp
                 test_switcher_controller_class.cpp
                 test_switcher_model.cpp
                 test_switcher_view.cpp
                 test_tabiterator.cpp
                 test_texture_cache.cpp
                 test_text_input.cpp
                 test_thumbnail_generator.cpp
                 test_trash_launcher_icon.cpp
                 test_unity_settings.cpp
                 test_unity_window_style.cpp
                 test_unity_window_view.cpp
                 test_upstart_wrapper.cpp
                 test_user_authenticator_pam.cpp
                 test_volume_launcher_icon.cpp
                 test_window_buttons.cpp
                 test_xdnd_manager_imp.cpp
                 test_xdnd_start_stop_notifier_imp.cpp
                 ${UNITY_SRC}/UnityShowdesktopHandler.cpp
                 ${CMAKE_SOURCE_DIR}/plugins/unityshell/src/WindowMinimizeSpeedController.cpp
                 ${CMAKE_SOURCE_DIR}/services/panel-service.c
                )

  # Build plain C files separately so they don't try to include the
  # C++ pch.
  add_library(test-libs-c STATIC
              bamf-mock-application.c
              bamf-mock-window.c
              gmockmount.c
              gmockvolume.c
              )

  target_link_libraries(test-gtest
                        ${LIBS}
                        test-libs-c
                        gtest
                        gmock
                        dash-lib
                        decorations-lib
                        hud-lib
                        launcher-lib
                        lockscreen-lib
                        panel-lib
                        pam
                        previews-lib
                        shortcuts-lib
                        shutdown-lib
                        switcher-lib
                        unity-shared
                        unity-shared-bamf
                        unity-shared-standalone)
  add_test(UnityGTest test-gtest)
endif (ENABLE_X_SUPPORT)
endif (GMOCK_LIB AND
       GMOCK_MAIN_LIB)

=== debian/changelog ===
unity (7.2.5+14.04.20150521.1-0ubuntu2-linuxmuster-systray1) trusty; urgency=medium

  [ Dominik Foerderer ]
  * Reenable Trayicons

 -- Dominik Foerderer <dominik.foerderer@windeck-gymnasium.de>  Mon, 8 Jun 2015 14:38:01 +0100

unity (7.2.5+14.04.20150521.1-0ubuntu1) trusty; urgency=medium

  [ Chris Townsend ]
  * Releasing 7.2.5.
  * Bump version to 7.2.5.
  * Use a 2 second delay before showing the first run shortcut hints to
    workaround a race condition on input handling. (LP: #1313597)

  [ Andrea Azzarone ]
  * Add the possibility to specify the font size and the font weight
    without chaning the default font name. (LP: #886478)
  * Do not restore focus if a quicklist is opened during launcher key
    navigation. (LP: #932486)
  * Draw osk above unity shell. (LP: #1413165)
  * Forward first key event that happens on top of the blank window to
    the lockscreen. (LP: #1308265)
  * Make sure scope_views_[filter.id] exists before using operator[] on
    it. (LP: #926979)
  * Release pointer barrier if launcher is in lock_hide state. (LP:
    #1029114)

  [ Brandon Schaefer ]
  * When we quit the quicklist it would check if the mouse was over the
    launcher, if it wasn't it would fold the launcher. We don't need to
    check this if we are in keynav as we want all the icons to be
    unfolded. (LP: #1246891)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Stephen M. Webb ]
  * AP tests: accounted for arbitrarily-raised exceptions in checking
    scaled windows (LP: #1436095)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 21 May 2015 15:07:15 +0000

unity (7.2.4+14.04.20150316-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Avoid running potentially dangerous code paths when the screen is
    locked. (LP: #1410582)
  * Ungrab the shoutdown dialog as soon as possible. (LP: #1398287)
  * Use COMPIZ_METAKEY where needed. (LP: #1363534)
  * disabled Pointer Barriers during lockscreen (LP: #1401911)
  * disabled markup for VolumeLauncherIcon quicklist menu items (LP:
    #1413411)
  * enable Dash, Hud, and session dialogs over full screen window (LP:
    #1159249, #860970, #1413773, #1404486)
  * made unity unlockable if user is in nopsswdlogin group (LP:
    #1413790)
  * skipped the animation of BGHash on startup to prevent unwanted fade-
    in (LP: #1241757)

  [ Luke Yelavich ]
  * extended accessible exploration of the Dash dynamic content (LP:
    #1066157)

  [ Marco Trevisan (Treviño) ]
  * MenuManager: make sure menus are always shown when mouse is over
    them or when the always-show-menus option is on (LP: #955193,
    #1390562, #1374942, #1312137)
  * PanelService: use gdbus to notfy upstart of service start/stop (LP:
    #1302955)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 16 Mar 2015 17:30:35 +0000

unity (7.2.4+14.04.20141217-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Share lockscreen password between screens (lp: #1308540)
  * Allow a distinct pam config file for greeter and for lock-screen.
    (lp: #1305440)
  * Add an arrow activator in the lockscreen. (lp: #1332509)
  * Make sure GetScreenGeometry returns the correct value (lp: #1374785).
  * unmapped all windows prior to shutdown (lp: #1370017) (lp: #1375271)

  [ Brandon Schaefer ]
  * fix tooltip for the "Show Desktop / Restore Windows" icon in the Alt-Tab
    switcher (lp: #1237132)
  * Use CONFIG instead of CACHE to store the first_run.stamp (lp: #1328677)

  [ Eleni Maria Stea ]
  * LayoutSystem: make sure the exposed open windows are displayed in the
    preserved order (lp: #1349281).

  [ handsome_feng ]
  * added support for getting the distro name from /etc/os-release
    (lp: #1329584)

  [ Iain Lane ]
  * When grabbing keys, try prefixing "XF86" if the key isn't found. GNOME
    gives us unprefixed keys sometimes (lp: #1302885).

  [ Marco Trevisan (Treviño) ]
  * make the Launcher icon count badge width depend on the text value width
    and scaling (lp: #1353070) (lp: #1354498) (lp: #796527) (lp: #1066971)
    (lp: #1361713)
  * DecoratedWindow: make edges independent from borders and properly update
    them on actions change (lp: #1276177), (lp: #1299741), (lp: #1301776),
    (lp: #1324104), (lp: #1364225), (lp: #1373695)
  * Lockscreen: scale the UI elements based on current monitor scaling
    (lp: #1292218)
  * UnityScreen: when filtering out windows in spread, make sure we unscale
    them (lp: #1316265).
  * PanelMenuView: ensure that proper window tiles and buttons are shown at
    the right place (lp: #1384910) (lp: #1384958) (lp: #1385285)
  * SearchBar, ActionButtons, IconRenderer: include the font scaling when
    scaling textual items (lp: #1332947) (lp: #1361751) (lp: #1362162)
    (lp: #1362346).
  * ApplicationLauncherIcon: make sure we close the dash if DnD is accepted
    and the application window is about to be focused (lp: #1350331).
  * SwitcherView: set progress on icon render args (lp: #1361679).
  * LockScreenController: wait for the primary shield to get the grab
    before setting the session locked (lp: #1368427) (lp: #1371764).
  * added decorations to windows in non-focused workspaces (lp: #1383468)

  [ Stephen M. Webb ]
  * updated the unity(1) manpage to match the actual command (lp: #1059275)
  * bumped package version to match upstream

  [ Marco Trevisan (Treviño) ]
  * Preparing for unity 7.2.4

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Dec 2014 20:52:10 +0000

unity (7.2.3+14.04.20140826-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power


=== debian/control ===
Source: unity
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               compiz-dev (>= 1:0.9.11),
               debhelper (>= 9.0.0~),
               dbus-test-runner,
               dh-migrations,
               dh-translations (>= 94),
               google-mock (>= 1.6.0+svn437),
               gsettings-desktop-schemas-dev,
               gsettings-ubuntu-schemas (>= 0.0.1+14.04.20140219),
               intltool (>= 0.35.0),
               libatk1.0-dev,
               libbamf3-dev (>= 0.5.0+13.10.20130731),
               libboost-dev,
               libcairo2-dev,
               libdbus-1-dev,
               libdbusmenu-glib-dev (>= 0.3.91),
               libdee-dev (>= 1.2.6),
               libgee-dev (>= 0.5.0),
               libgeis-dev (>= 2.0.10),
               libgl1-mesa-dri,
               libglib2.0-dev (>= 2.39.1),
               libgnome-desktop-3-dev,
               libgtest-dev,
               libgtk-3-dev (>= 3.1),
               libido3-0.1-dev (>= 13.10.0),
               libindicator-dev (>= 0.12.2),
               libindicator3-dev (>= 0.12.2),
               libjson-glib-dev,
               libjson-perl,
               libnotify-dev,
               libnux-4.0-dev (>= 4.0.6),
               libpam0g-dev,
               libpango1.0-dev,
               libsigc++-2.0-dev,
               libstartup-notification0-dev,
               libunique-dev,
               libunity-dev (>= 7.1.0),
               libunity-misc-dev (>= 4.0.4),
               libupstart-dev,
               libxcb-icccm4-dev,
               libxfixes-dev (>= 1:5.0.1),
               libxi-dev (>= 2:1.7.1.901),
               libxpathselect-dev (>=1.4),
               libzeitgeist-2.0-dev,
               pkg-config,
               python (>= 2.7),
               python-setuptools,
               quilt,
               xserver-xorg-video-dummy,
               xsltproc,
Standards-Version: 3.9.5
Homepage: https://launchpad.net/unity
# If you aren't a member of ~unity-team but need to upload packaging changes,
# just go ahead.  ~unity-team will notice and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~unity-team/unity/trunk

Package: unity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         libunity-core-6.0-9 (= ${binary:Version}),
         compiz,
         compiz-core, compiz-core-abiversion-${coreabiversion},
         libnux-abiversion-${nuxabiversion},
         compiz-plugins-default,
         libglib2.0-bin,
         nux-tools,
         dconf-cli,
         unity-asset-pool (>= 0.8.18),
         unity-greeter,
         bamfdaemon,
         libxfixes3 (>= 1:5.0.1-1),
         libxi6 (>= 2:1.7.1.901),
	 unity-scope-home,
Provides: indicator-renderer
Recommends: unity-control-center,
            ${unity-default-masterscopes}
            indicator-appmenu,
            indicator-application,
            indicator-sound,
            indicator-bluetooth,
            indicator-datetime,
            indicator-keyboard,
            indicator-messages,
            indicator-printers,
            indicator-power,
            indicator-session,
            telepathy-indicator,
            hud,
Breaks: unity-lens-applications (<< 5.12.0-0ubuntu2),
        unity-lens-files (<< 5.10.0-0ubuntu2),
        unity-lens-music (<< 6.0.0),
        unity-lens-video (<< 0.3.6-0ubuntu2),
Description: Interface designed for efficiency of space and interaction.
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.

Package: unity-services
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Services for the Unity interface
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains the D-Bus service used for unity.

Package: libunity-core-6.0-9
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-services (= ${binary:Version}),
Conflicts: unity-common, libunity-core-6.0-6, libunity-core-6.0-7, libunity-core-6.0-8
Replaces: unity-common, libunity-core-6.0-6, libunity-core-6.0-7, libunity-core-6.0-8
Provides: unity-common, unity-common-7.0
Description: core library for the Unity interface
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains shared libraries to be used by unity-3d.

Package: libunity-core-6.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libunity-core-6.0-9 (= ${binary:Version}),
         libglib2.0-dev,
         libsigc++-2.0-dev,
         libnux-4.0-dev (>= 4.0.5),
         libunity-dev (>= 7.1.0~),
         libdee-dev,
Description: Core library for the Unity interface - development files
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains development files for libraries to be used by unity.

Package: unity-autopilot
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         autopilot-desktop,
         python-windowmocker,
         gir1.2-appindicator3-0.1,
         gir1.2-dee-1.0,
         gir1.2-glib-2.0,
         gir1.2-ibus-1.0,
         gir1.2-unity-5.0,
         python-compizconfig,
         python-dbus,
         python-testtools,
         python-xdg,
         python-xlib,
         libxpathselect1.4 (>= 1.4),
         mesa-utils,
Description: Autopiloted tests for Unity
 Unity is tested automatically through autopilot, a framework which enables
 keyboard and mouse events to be triggered on the fly as well as object
 introspection.  This package contains the specific unity introspection
 bindings to be able to write tests in python as well as the full test suite
 for Unity.

Package: unity-2d
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: libunity-2d-private0
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: libunity-2d-private-dev
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-panel
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-spread
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-common
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-shell
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

Package: unity-2d-dbg
Priority: extra
Depends: unity, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package for unity-2d -> unity migration.
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
gles2_architectures := armel armhf

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

# avoid template instance removal (lp:1286284)
export DEB_CXXFLAGS_MAINT_STRIP=-O3
export DEB_CXXFLAGS_MAINT_APPEND=-O2

# http://ccache.samba.org/manual.html#_precompiled_headers
CCACHE_SLOPPINESS=time_macros

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' /usr/include/compiz/core/abiversion.h )
NUX_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+NUX_ABIVERSION[[:space:]]+//p' /usr/include/Nux-4.0/Nux/ABI.h )

LIBUNITY_PRIVATE := $(shell pkg-config --libs-only-L unity-protocol-private | sed -e 's/-L\(.*\)/\1/' )

SCOPES_RECOMMENDS := $(shell perl debian/scopes-recommends-generator /usr/share/unity/client-scopes.json)

cmake_base_options := -DUSE_GSETTINGS=TRUE -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCMAKE_SYSCONFDIR=/etc -DCOMPIZ_PLUGIN_INSTALL_TYPE=package 
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
  cmake_gl_options := -DBUILD_GLES=TRUE -DDISABLE_MAINTAINER_CFLAGS=ON
endif
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), arm64))
  cmake_pch_options := -Duse_pch=OFF
endif


override_dh_auto_configure:
	dh_auto_configure -- $(cmake_base_options) $(cmake_gl_options) $(cmake_pch_options)

override_dh_install:
	# install autopilot tests
	cd tests/autopilot; \
	set -ex; for python in $(shell pyversions -r); do \
        $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done; \
	cd $(CURDIR)
	find debian/tmp/usr/lib -name \*.*a -exec rm {} \;
	rm -f debian/tmp/usr/share/compiz/networkarearegion.xml
	rm -f debian/tmp//usr/lib/compiz/libnetworkarearegion.so
	rm -f debian/tmp/usr/share/compiz/unitydialog.xml
	rm -f debian/tmp/usr/lib/compiz/libunitydialog.so
	rm -rf debian/tmp/usr/share/gconf/schemas/ 
	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION) -Vnuxabiversion=$(NUX_ABIVERSION) -Vunity-default-masterscopes="$(SCOPES_RECOMMENDS)"

override_dh_makeshlibs:
	dh_makeshlibs -plibunity-core-6.0-9 -V 'libunity-core-6.0-9 (>= 7.0.0)'

override_dh_shlibdeps:
	dh_shlibdeps -l$(LIBUNITY_PRIVATE) -O--parallel

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make -C obj-$(DEB_HOST_GNU_TYPE) check-headless
endif

%:
	dh $@ --with translations,quilt,python2,migrations --parallel
